package com.chaozhanggui.dao.system.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

public class TbPlussMerchantOrderSplit implements Serializable {
    private Integer id;

    private String ordernumber;

    private BigDecimal orderamt;

    private Date paytime;

    private Integer status;

    private String mercorderno;

    private String merchantcode;

    private String merchantid;

    private String merchantname;

    private String divisionmode;

    private Byte divstatus;

    private BigDecimal fee;

    private Date createtime;

    private String feepayer;

    private String divstatuscode;

    private String remark;

    private BigDecimal refundamt;

    private String notifyurl;

    private String aisleswitch;

    private String paytypename;

    private String paytypecode;

    private String ordertype;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getOrdernumber() {
        return ordernumber;
    }

    public void setOrdernumber(String ordernumber) {
        this.ordernumber = ordernumber == null ? null : ordernumber.trim();
    }

    public BigDecimal getOrderamt() {
        return orderamt;
    }

    public void setOrderamt(BigDecimal orderamt) {
        this.orderamt = orderamt;
    }

    public Date getPaytime() {
        return paytime;
    }

    public void setPaytime(Date paytime) {
        this.paytime = paytime;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getMercorderno() {
        return mercorderno;
    }

    public void setMercorderno(String mercorderno) {
        this.mercorderno = mercorderno == null ? null : mercorderno.trim();
    }

    public String getMerchantcode() {
        return merchantcode;
    }

    public void setMerchantcode(String merchantcode) {
        this.merchantcode = merchantcode == null ? null : merchantcode.trim();
    }

    public String getMerchantid() {
        return merchantid;
    }

    public void setMerchantid(String merchantid) {
        this.merchantid = merchantid == null ? null : merchantid.trim();
    }

    public String getMerchantname() {
        return merchantname;
    }

    public void setMerchantname(String merchantname) {
        this.merchantname = merchantname == null ? null : merchantname.trim();
    }

    public String getDivisionmode() {
        return divisionmode;
    }

    public void setDivisionmode(String divisionmode) {
        this.divisionmode = divisionmode == null ? null : divisionmode.trim();
    }

    public Byte getDivstatus() {
        return divstatus;
    }

    public void setDivstatus(Byte divstatus) {
        this.divstatus = divstatus;
    }

    public BigDecimal getFee() {
        return fee;
    }

    public void setFee(BigDecimal fee) {
        this.fee = fee;
    }

    public Date getCreatetime() {
        return createtime;
    }

    public void setCreatetime(Date createtime) {
        this.createtime = createtime;
    }

    public String getFeepayer() {
        return feepayer;
    }

    public void setFeepayer(String feepayer) {
        this.feepayer = feepayer == null ? null : feepayer.trim();
    }

    public String getDivstatuscode() {
        return divstatuscode;
    }

    public void setDivstatuscode(String divstatuscode) {
        this.divstatuscode = divstatuscode == null ? null : divstatuscode.trim();
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    public BigDecimal getRefundamt() {
        return refundamt;
    }

    public void setRefundamt(BigDecimal refundamt) {
        this.refundamt = refundamt;
    }

    public String getNotifyurl() {
        return notifyurl;
    }

    public void setNotifyurl(String notifyurl) {
        this.notifyurl = notifyurl == null ? null : notifyurl.trim();
    }

    public String getAisleswitch() {
        return aisleswitch;
    }

    public void setAisleswitch(String aisleswitch) {
        this.aisleswitch = aisleswitch == null ? null : aisleswitch.trim();
    }

    public String getPaytypename() {
        return paytypename;
    }

    public void setPaytypename(String paytypename) {
        this.paytypename = paytypename == null ? null : paytypename.trim();
    }

    public String getPaytypecode() {
        return paytypecode;
    }

    public void setPaytypecode(String paytypecode) {
        this.paytypecode = paytypecode == null ? null : paytypecode.trim();
    }

    public String getOrdertype() {
        return ordertype;
    }

    public void setOrdertype(String ordertype) {
        this.ordertype = ordertype == null ? null : ordertype.trim();
    }
}